import { Component, OnInit } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { ThemeService } from 'src/app/services/theme.service'

@Component({
  selector: 'app-emend-message-modal',
  templateUrl: './emend-message-modal.page.html',
  styleUrls: ['./emend-message-modal.page.scss'],
})
export class EmendMessageModalPage implements OnInit {
  emendMessage: string = '';

  constructor(
    private modalController: ModalController,
    public ThemeService: ThemeService
  ) {
    this.emendMessage = '';
   }

  ngOnInit() {
  }
  close(){
    this.modalController.dismiss('');
  }
  save(){
    this.modalController.dismiss(this.emendMessage);
  }

}
